package _VisualDVM.ProjectData.SapforData.Functions.UI;
import Common.Visual.Trees.SelectableTree;
import Common.Visual.Trees.TreeRenderers;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.ProjectData.SapforData.FileObject;
import _VisualDVM.Visual.Menus.GraphMenu;
public class InlineTree2 extends SelectableTree {
    public InlineTree2() {
        super(Global.mainModule.getProject().inline_root2);
    }
    @Override
    public TreeRenderers getRenderer() {
        return TreeRenderers.RendererSelection;
    }
    @Override
    public Current getCurrent() {
        return Current.InlineGraphElement2;
    }
    @Override
    protected GraphMenu createMenu() {
        return new InlineMenu2(this);
    }
    @Override
    public void ShowCurrentObject() {
        Object o = Global.mainModule.get(getCurrent());
        if (o instanceof FileObject) {
            ((FileObject) o).Show(false);
        }
    }
    @Override
    protected int getStartLine() {
        return 1;
    }
}